VSTGUI: IValueConverter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IValueConverter Class Referenceabstract
Standalone Library

Value converter interface More...

Inheritance diagram for IValueConverter:

## Public Member Functions
virtual UTF8String | valueAsString (IValue::Type value) const =0
| Convert value to string.
virtual IValue::Type | stringAsValue (const UTF8String &string) const =0
| Convert string to value.
virtual IValue::Type | plainToNormalized (IValue::Type plain) const =0
| Convert plain to normalized value.
virtual IValue::Type | normalizedToPlain (IValue::Type normalized) const =0
| Convert normalized to plain value.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Value converter interface

## Member Function Documentation

virtual IValue::Type normalizedToPlain | ( | IValue::Type | normalized | ) | const
| pure virtual

Convert normalized to plain value.

virtual IValue::Type plainToNormalized | ( | IValue::Type | plain | ) | const
| pure virtual

Convert plain to normalized value.

virtual IValue::Type stringAsValue | ( | const UTF8String & | string | ) | const
| pure virtual

Convert string to value.

virtual UTF8String valueAsString | ( | IValue::Type | value | ) | const
| pure virtual

Convert value to string.

The documentation for this class was generated from the following file:

- ivalue.h